Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::filter_view< Rng, Pred > Struct Template Reference
Views
Inheritance diagram for ranges::filter_view< Rng, Pred >:

## Public Member Functions
constexpr | filter_view (Rng rng, Pred pred)
Public Member Functions inherited from ranges::remove_if_view< Rng, logical_negate< Pred > >
constexpr | remove_if_view (Rng rng, logical_negate< Pred > pred)
Public Member Functions inherited from ranges::view_adaptor< remove_if_view< Rng, logical_negate< Pred > >, Rng, is_finite< Rng >::value ? finite :range_cardinality< Rng >::value >
constexpr base_range_t const & | base () const noexcept
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
constexpr base_range_t & | base () noexcept
view_adaptor & | operator= (view_adaptor &&)=default
view_adaptor & | operator= (view_adaptor const &)=default
constexpr | view_adaptor (Rng &&rng)
| view_adaptor (view_adaptor &&)=default
| view_adaptor (view_adaptor const &)=default